org.eclipse.microprofile.reactive.streams.operators

## Interface CompletionRunner<T>

Type Parameters:
  `T` - The result of the stream.

All Superinterfaces:
  ProducesResult<T>

    public interface CompletionRunner<T>
    extends ProducesResult<T>

A builder for a closed reactive streams graph.

When built, this builder returns a `CompletionStage` that will be redeemed with the result produced by the subscriber of the stream when the stream completes normally, or will be redeemed with an error if the stream encounters an error.

See Also:
  `ReactiveStreams`

### Method Summary

All Methods Instance Methods Abstract Methods
`CompletionStage<T>` `run()` Run this stream, using the first `ReactiveStreamsEngine` found by the `ServiceLoader`.
`CompletionStage<T>` `run(ReactiveStreamsEngine engine)` Run this stream, using the supplied `ReactiveStreamsEngine`.

### Method Detail

#### run

    CompletionStage<T> run()

Run this stream, using the first `ReactiveStreamsEngine` found by the `ServiceLoader`.

Returns:
  A completion stage that will be redeemed with the result of the stream, or an error if the stream fails.

#### run

    CompletionStage<T> run(ReactiveStreamsEngine engine)

Run this stream, using the supplied `ReactiveStreamsEngine`.

Parameters:
  `engine` - The engine to run the stream with.
Returns:
  A completion stage that will be redeemed with the result of the stream, or an error if the stream fails.